Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename snapdragon-util

# tests disabled until we can bootstrap all of the snapdragon modules
%global enable_tests 0

Name:		nodejs-snapdragon-util
Version:	3.0.1
Release:	alt1_4
Summary:	Utilities for the snapdragon parser/compiler

License:	MIT
URL:		https://github.com/jonschlinkert/snapdragon-util
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(kind-of)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Utilities for the snapdragon parser/compiler.


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_4
- new version

